Marianne ANSSI

CERT-FR

Centre gouvernemental de veille, d'alerte et de réponse aux attaques informatiques

logo ANSSI
Informations utiles

Que faire en cas d'intrusion ?

Les systèmes obsolètes

Liens utiles

 

L'ANSSI recrute

 

 

Les documents du CERT-FR

Publications récentes

Les alertes en cours

Les bulletins d'actualité

Les notes d'information

Année en cours Archive

 

Les Flux RSS du CERT-FR

Flux RSS complet

RSS

Flux RSS des alertes

RSS

Flux RSS SCADA

RSS

 

CERTA-2011-AVI-160

Imprimer ce document

Version PDF

À propos du CERT-FR

Le CERT-FR

Nous contacter

Contact us ( Drapeau anglais )

A propos du site

Communauté CSIRT

Les CSIRT

Le FIRST

L'EGC

 
Archives du CERT-FR

Année 2017 Archive

Année 2016 Archive

Année 2015 Archive

Année 2014 Archive

Année 2013 Archive

Année 2012 Archive

Année 2011 Archive

Année 2010 Archive

Année 2009 Archive

Année 2008 Archive

Année 2007 Archive

Année 2006 Archive

Année 2005 Archive

Année 2004 Archive

Année 2003 Archive

Année 2002 Archive

Année 2001 Archive

Année 2000 Archive

 

S . G . D . S . N
Agence nationale
de la sécurité des
systèmes d'information

République Française Paris, le 23 mars 2011
No CERTA-2011-AVI-160-001

Affaire suivie par :

CERTA

AVIS DU CERTA

Objet : Vulnérabilités dans PHP


Conditions d'utilisation de ce document : http://www.certa.ssi.gouv.fr/certa/apropos.html
Dernière version de ce document : http://www.certa.ssi.gouv.fr/site/CERTA-2011-AVI-160

Gestion du document


Tableau 1: Gestion du document
Référence CERTA-2011-AVI-160-001
Titre Vulnérabilités dans PHP
Date de la première version 22 mars 2011
Date de la dernière version 23 mars 2011
Source Annonce de version de PHP du 17 mars 2011
Pièce(s) jointe(s) Aucune

Une gestion de version détaillée se trouve à la fin de ce document.

1 Risque

  • Exécution de code arbitraire ;
  • déni de service ;
  • atteinte à la confidentialité des données.

2 Systèmes affectés

PHP version 5.3.5 et versions 5.3.x antérieures.

3 Résumé

Plusieurs vulnérabilités sont présentes dans PHP et permettent, en particulier, à un utilisateur malveillant d'exécuter du code arbitraire.

4 Description

Plusieurs vulnérabilités sont présentes dans PHP :
  • un argument est traité de manière incorrecte par la fonction _zip_name_locate(). Ce défaut permet de provoquer un arrêt inopiné de l'application ;
  • un transtypage incorrect sur les architectures 64 bits dans l'extension Exif permet de provoquer un arrêt inopiné au moyen d'une image specialement conçue ;
  • un argument de la fonction shmop_read() est traité de manière incorrecte. Cette erreur est exploitable par un utilisateur malveillant pour provoquer un arrêt inopiné ou pour lire sans droit des données en mémoire ;
  • des erreurs dans le traitement des formats de chaîne par les fonctions du fichier phar_object.c permettent à un utilisateur malveillant de provoquer un déni de service ou d'exécuter du code arbitraire ;
  • une erreur de signe dans une variable du programme zip_stream.c est exploitable pour provoquer une consommation de 100% du CPU ;
  • une erreur de traitement des archives par la fonction stream_get_contents() est exploitable pour provoquer un arrêt inopiné de l'application ;
  • dans certaines circonstances, le traitement des URL de la forme ftp:// peut servir à provoquer un déni de service ;
  • des fuites de mémoire de l'extension OpenSSL permettent de provoquer un épuisement des ressources mémoire ;
  • un problème dans les conversions entre calendriers peut servir à provoquer un déni de service ;
  • un débordement de zone mémoire dans la fonction strval() peut servir à provoquer un déni de service ;
  • une erreur dans le formattage des nombres peut servir à provoquer un déni de service.

5 Solution

La version 5.3.6 de PHP corrige ces vulnérabilités.

Se référer au bulletin de sécurité de l'éditeur pour l'obtention des correctifs (cf. section Documentation).

6 Documentation

Gestion détaillée du document

22 mars 2011
version initiale.
23 mars 2011
ajout de vulnérabilités et des CVE.


CERTA
2014-01-17
Premier Ministre / Secrétariat Général de la Défense et de la Sécurité Nationale / Agence nationale de la sécurité des systèmes d'information webmestre Dernière mise à jour : le 2017-06-22